# Generated by Django 2.2.4 on 2019-10-31 15:55

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('location', '0020_merge_20191030_1714'),
        ('establishment', '0047_merge_20191030_1714'),
    ]

    operations = [
        migrations.CreateModel(
            name='RatingStrategy',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(default=django.utils.timezone.now, editable=False, verbose_name='Date created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Date updated')),
                ('toque_number', models.IntegerField(choices=[(1, 'One'), (2, 'Two'), (3, 'Three'), (4, 'Four'), (5, 'Five')])),
                ('public_mark_min_value', models.IntegerField()),
                ('public_mark_max_value', models.IntegerField()),
                ('country', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='location.Country', verbose_name='Country')),
            ],
            options={
                'verbose_name': 'Rating strategy',
                'verbose_name_plural': 'Rating strategy',
                'unique_together': {('country', 'toque_number')},
            },
        ),
    ]
